/**
 *
 */
package de.intevation.gnv.statistics;

import java.util.ArrayList;
import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class StatisticSet {

    
    private String name = null;
    
    private Collection<Statistic> statistics = new ArrayList<Statistic>();
    
    /**
     * Constructor
     */
    public StatisticSet(String name) {
        this.name = name;
    }
    
    
    public void addStatistic(Statistic statistic){
        this.statistics.add(statistic);
    }
    
    public Collection<Statistic> getStatistics(){
        return this.statistics;
    }
    
    public String getName(){
        return this.name;
    }

}
